diff --git a/sys/netproto/ipsec/ipsec_input.c b/sys/netproto/ipsec/ipsec_input.c
index 5878b8c..615ac45 100644
--- a/sys/netproto/ipsec/ipsec_input.c
+++ b/sys/netproto/ipsec/ipsec_input.c
@@ -1,5 +1,4 @@
 /*	$FreeBSD: src/sys/netipsec/ipsec_input.c,v 1.2.4.2 2003/03/28 20:32:53 sam Exp $	*/
-/*	$DragonFly: src/sys/netproto/ipsec/ipsec_input.c,v 1.13 2008/05/27 01:10:44 dillon Exp $	*/
 /*	$OpenBSD: ipsec_input.c,v 1.63 2003/02/20 18:35:43 deraadt Exp $	*/
 /*
  * The authors of this code are John Ioannidis (ji@tla.org),
@@ -389,7 +388,7 @@ ipsec4_common_input_cb(struct mbuf *m, struct secasvar *sav,
 	 */
 	if (mt == NULL && sproto != IPPROTO_IPCOMP) {
 		mtag = m_tag_get(PACKET_TAG_IPSEC_IN_DONE,
-				 sizeof(struct tdb_ident), MB_DONTWAIT);
+				 sizeof(struct tdb_ident), M_NOWAIT);
 		if (mtag == NULL) {
 			DPRINTF(("ipsec4_common_input_cb: failed to get tag\n"));
 			IPSEC_ISTAT(sproto, espstat.esps_hdrops,
@@ -713,7 +712,7 @@ ipsec6_common_input_cb(struct mbuf *m, struct secasvar *sav, int skip, int proto
 	 */
 	if (mt == NULL && sproto != IPPROTO_IPCOMP) {
 		mtag = m_tag_get(PACKET_TAG_IPSEC_IN_DONE,
-				 sizeof(struct tdb_ident), MB_DONTWAIT);
+				 sizeof(struct tdb_ident), M_NOWAIT);
 		if (mtag == NULL) {
 			DPRINTF(("ipsec_common_input_cb: failed to "
 			    "get tag\n"));
diff --git a/sys/netproto/ipsec/ipsec_mbuf.c b/sys/netproto/ipsec/ipsec_mbuf.c
index 4c75d70..501bd97 100644
--- a/sys/netproto/ipsec/ipsec_mbuf.c
+++ b/sys/netproto/ipsec/ipsec_mbuf.c
@@ -132,20 +132,20 @@ m_clone(struct mbuf *m0)
 			 * because M_MOVE_PKTHDR will smash the data
 			 * pointer and drop the M_EXT marker.
 			 */
-			MGETHDR(n, MB_DONTWAIT, m->m_type);
+			MGETHDR(n, M_NOWAIT, m->m_type);
 			if (n == NULL) {
 				m_freem(m0);
 				return (NULL);
 			}
 			M_MOVE_PKTHDR(n, m);
-			MCLGET(n, MB_DONTWAIT);
+			MCLGET(n, M_NOWAIT);
 			if ((n->m_flags & M_EXT) == 0) {
 				m_free(n);
 				m_freem(m0);
 				return (NULL);
 			}
 		} else {
-			n = m_getcl(MB_DONTWAIT, m->m_type, m->m_flags);
+			n = m_getcl(M_NOWAIT, m->m_type, m->m_flags);
 			if (n == NULL) {
 				m_freem(m0);
 				return (NULL);
@@ -177,7 +177,7 @@ m_clone(struct mbuf *m0)
 				break;
 			off += cc;
 
-			n = m_getcl(MB_DONTWAIT, m->m_type, m->m_flags);
+			n = m_getcl(M_NOWAIT, m->m_type, m->m_flags);
 			if (n == NULL) {
 				m_freem(mfirst);
 				m_freem(m0);
@@ -237,7 +237,7 @@ m_makespace(struct mbuf *m0, int skip, int hlen, int *off)
 		 *
 		 * NB: this ignores mbuf types.
 		 */
-		MGET(n, MB_DONTWAIT, MT_DATA);
+		MGET(n, M_NOWAIT, MT_DATA);
 		if (n == NULL)
 			return (NULL);
 		n->m_next = m->m_next;		/* splice new mbuf */
@@ -265,7 +265,7 @@ m_makespace(struct mbuf *m0, int skip, int hlen, int *off)
 			if (remain + hlen > M_TRAILINGSPACE(n)) {
 				struct mbuf *n2;
 
-				MGET(n2, MB_DONTWAIT, MT_DATA);
+				MGET(n2, M_NOWAIT, MT_DATA);
 				/* NB: new mbuf is on chain, let caller free */
 				if (n2 == NULL)
 					return (NULL);
@@ -355,7 +355,7 @@ KASSERT(m0->m_next != NULL, ("m_pad: m0 null, len %u m_len %u", len, m0->m_len))
 
 	if (pad > M_TRAILINGSPACE(m0)) {
 		/* Add an mbuf to the chain. */
-		MGET(m1, MB_DONTWAIT, MT_DATA);
+		MGET(m1, M_NOWAIT, MT_DATA);
 		if (m1 == NULL) {
 			m_freem(m0);
 			DPRINTF(("m_pad: unable to get extra mbuf\n"));
diff --git a/sys/netproto/ipsec/ipsec_output.c b/sys/netproto/ipsec/ipsec_output.c
index d31f1b9..68d1c3e 100644
--- a/sys/netproto/ipsec/ipsec_output.c
+++ b/sys/netproto/ipsec/ipsec_output.c
@@ -24,7 +24,6 @@
  * SUCH DAMAGE.
  *
  * $FreeBSD: src/sys/netipsec/ipsec_output.c,v 1.3.2.2 2003/03/28 20:32:53 sam Exp $
- * $DragonFly: src/sys/netproto/ipsec/ipsec_output.c,v 1.12 2008/05/27 01:10:44 dillon Exp $
  */
 
 /*
@@ -131,7 +130,7 @@ ipsec_process_done(struct mbuf *m, struct ipsecrequest *isr)
 	 * packet.
 	 */
 	mtag = m_tag_get(PACKET_TAG_IPSEC_OUT_DONE,
-			 sizeof(struct tdb_ident), MB_DONTWAIT);
+			 sizeof(struct tdb_ident), M_NOWAIT);
 	if (mtag == NULL) {
 		DPRINTF(("ipsec_process_done: could not get packet tag\n"));
 		error = ENOMEM;
@@ -487,7 +486,7 @@ ipsec6_splithdr(struct mbuf *m)
 	ip6 = mtod(m, struct ip6_hdr *);
 	hlen = sizeof(struct ip6_hdr);
 	if (m->m_len > hlen) {
-		MGETHDR(mh, MB_DONTWAIT, MT_HEADER);
+		MGETHDR(mh, M_NOWAIT, MT_HEADER);
 		if (!mh) {
 			m_freem(m);
 			return NULL;
@@ -598,7 +597,7 @@ ipsec6_encapsulate(struct mbuf *m, struct secasvar *sav)
 	plen = m->m_pkthdr.len;
 	if (M_LEADINGSPACE(m->m_next) < sizeof(struct ip6_hdr)) {
 		struct mbuf *n;
-		MGET(n, MB_DONTWAIT, MT_DATA);
+		MGET(n, M_NOWAIT, MT_DATA);
 		if (!n) {
 			m_freem(m);
 			return ENOBUFS;
diff --git a/sys/netproto/ipsec/key.c b/sys/netproto/ipsec/key.c
index a7135ae..814f9be 100644
--- a/sys/netproto/ipsec/key.c
+++ b/sys/netproto/ipsec/key.c
@@ -1603,7 +1603,7 @@ key_gather_mbuf(struct mbuf *m, const struct sadb_msghdr *mhp,
 			if (len > MHLEN)
 				panic("assumption failed");
 #endif
-			MGETHDR(n, MB_DONTWAIT, MT_DATA);
+			MGETHDR(n, M_NOWAIT, MT_DATA);
 			if (!n)
 				goto fail;
 			n->m_len = len;
@@ -1622,7 +1622,7 @@ key_gather_mbuf(struct mbuf *m, const struct sadb_msghdr *mhp,
 			    mtod(n, caddr_t));
 		} else {
 			n = m_copym(m, mhp->extoff[idx], mhp->extlen[idx],
-			    MB_DONTWAIT);
+			    M_NOWAIT);
 		}
 		if (n == NULL)
 			goto fail;
@@ -2041,7 +2041,7 @@ key_spddelete2(struct socket *so, struct mbuf *m,
 
 	if (len > MCLBYTES)
 		return key_senderror(so, m, ENOBUFS);
-	n = m_getb(len, MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	n = m_getb(len, M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (!n)
 		return key_senderror(so, m, ENOBUFS);
 	n->m_len = len;
@@ -2055,7 +2055,7 @@ key_spddelete2(struct socket *so, struct mbuf *m,
 #endif
 
 	n->m_next = m_copym(m, mhp->extoff[SADB_X_EXT_POLICY],
-	    mhp->extlen[SADB_X_EXT_POLICY], MB_DONTWAIT);
+	    mhp->extlen[SADB_X_EXT_POLICY], M_NOWAIT);
 	if (!n->m_next) {
 		m_freem(n);
 		return key_senderror(so, m, ENOBUFS);
@@ -3228,7 +3228,7 @@ key_setdumpsa(struct secasvar *sav, u_int8_t type, u_int8_t satype,
 		if ((!m && !p) || (m && p))
 			goto fail;
 		if (p && tres) {
-			M_PREPEND(tres, l, MB_DONTWAIT);
+			M_PREPEND(tres, l, M_NOWAIT);
 			if (!tres)
 				goto fail;
 			bcopy(p, mtod(tres, caddr_t), l);
@@ -3279,7 +3279,7 @@ key_setsadbmsg(u_int8_t type, u_int16_t tlen, u_int8_t satype, u_int32_t seq,
 	len = PFKEY_ALIGN8(sizeof(struct sadb_msg));
 	if (len > MCLBYTES)
 		return NULL;
-	m = m_getb(len, MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getb(len, M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (!m)
 		return NULL;
 	m->m_pkthdr.len = m->m_len = len;
@@ -4313,7 +4313,7 @@ key_getspi(struct socket *so, struct mbuf *m, const struct sadb_msghdr *mhp)
 	    PFKEY_ALIGN8(sizeof(struct sadb_sa));
 	if (len > MCLBYTES)
 		return key_senderror(so, m, ENOBUFS);
-	n = m_getb(len, MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	n = m_getb(len, M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (!n)
 		return key_senderror(so, m, ENOBUFS);
 	n->m_len = len;
@@ -5161,7 +5161,7 @@ key_getcomb_esp(void)
 			KASSERT(l <= MLEN,
 				("key_getcomb_esp: l=%u > MLEN=%lu",
 				l, (u_long) MLEN));
-			MGET(m, MB_DONTWAIT, MT_DATA);
+			MGET(m, M_NOWAIT, MT_DATA);
 			if (m) {
 				M_ALIGN(m, l);
 				m->m_len = l;
@@ -5261,14 +5261,14 @@ key_getcomb_ah(void)
 			KASSERT(l <= MLEN,
 				("key_getcomb_ah: l=%u > MLEN=%lu",
 				l, (u_long) MLEN));
-			MGET(m, MB_DONTWAIT, MT_DATA);
+			MGET(m, M_NOWAIT, MT_DATA);
 			if (m) {
 				M_ALIGN(m, l);
 				m->m_len = l;
 				m->m_next = NULL;
 			}
 		} else
-			M_PREPEND(m, l, MB_DONTWAIT);
+			M_PREPEND(m, l, M_NOWAIT);
 		if (!m)
 			return NULL;
 
@@ -5306,14 +5306,14 @@ key_getcomb_ipcomp(void)
 			KASSERT(l <= MLEN,
 				("key_getcomb_ipcomp: l=%u > MLEN=%lu",
 				l, (u_long) MLEN));
-			MGET(m, MB_DONTWAIT, MT_DATA);
+			MGET(m, M_NOWAIT, MT_DATA);
 			if (m) {
 				M_ALIGN(m, l);
 				m->m_len = l;
 				m->m_next = NULL;
 			}
 		} else
-			M_PREPEND(m, l, MB_DONTWAIT);
+			M_PREPEND(m, l, M_NOWAIT);
 		if (!m)
 			return NULL;
 
@@ -5355,7 +5355,7 @@ key_getprop(const struct secasindex *saidx)
 
 	if (!m)
 		return NULL;
-	M_PREPEND(m, l, MB_DONTWAIT);
+	M_PREPEND(m, l, M_NOWAIT);
 	if (!m)
 		return NULL;
 
@@ -5843,7 +5843,7 @@ key_register(struct socket *so, struct mbuf *m,
 
 	if (len > MCLBYTES)
 		return key_senderror(so, m, ENOBUFS);
-	n = m_getb(len, MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	n = m_getb(len, M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (!n)
 		return key_senderror(so, m, ENOBUFS);
 	n->m_pkthdr.len = n->m_len = len;
@@ -6369,7 +6369,7 @@ key_parse(struct mbuf *m, struct socket *so)
 	if (m->m_next) {
 		struct mbuf *n;
 
-		n = m_getb(m->m_pkthdr.len, MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		n = m_getb(m->m_pkthdr.len, M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (!n) {
 			m_freem(m);
 			return ENOBUFS;
@@ -6940,7 +6940,7 @@ key_alloc_mbuf(int l)
 
 	len = l;
 	while (len > 0) {
-		n = m_getb(len, MB_DONTWAIT, MT_DATA, 0);
+		n = m_getb(len, M_NOWAIT, MT_DATA, 0);
 		if (!n) {
 			m_freem(m);
 			return NULL;
diff --git a/sys/netproto/ipsec/keysock.c b/sys/netproto/ipsec/keysock.c
index 0808643..60c508c 100644
--- a/sys/netproto/ipsec/keysock.c
+++ b/sys/netproto/ipsec/keysock.c
@@ -141,7 +141,7 @@ key_sendup0(struct rawcb *rp, struct mbuf *m, int promisc)
 	if (promisc) {
 		struct sadb_msg *pmsg;
 
-		M_PREPEND(m, sizeof(struct sadb_msg), MB_DONTWAIT);
+		M_PREPEND(m, sizeof(struct sadb_msg), M_NOWAIT);
 		if (m && m->m_len < sizeof(struct sadb_msg))
 			m = m_pullup(m, sizeof(struct sadb_msg));
 		if (!m) {
@@ -213,7 +213,7 @@ key_sendup(struct socket *so, struct sadb_msg *msg, u_int len, int target)
 	while (tlen > 0) {
 		int nsize;
 
-		n = m_getl(tlen, MB_DONTWAIT, MT_DATA,
+		n = m_getl(tlen, M_NOWAIT, MT_DATA,
 			   (tlen == len) ? M_PKTHDR : 0, &nsize);
 		if (n == NULL) {
 			m_freem(m);
diff --git a/sys/netproto/ipsec/xform_ipip.c b/sys/netproto/ipsec/xform_ipip.c
index c8d9209..9a5d23c 100644
--- a/sys/netproto/ipsec/xform_ipip.c
+++ b/sys/netproto/ipsec/xform_ipip.c
@@ -427,7 +427,7 @@ ipip_output(
 			goto bad;
 		}
 
-		M_PREPEND(m, sizeof(struct ip), MB_DONTWAIT);
+		M_PREPEND(m, sizeof(struct ip), M_NOWAIT);
 		if (m == NULL) {
 			DPRINTF(("ipip_output: M_PREPEND failed\n"));
 			ipipstat.ipips_hdrops++;
@@ -511,7 +511,7 @@ ipip_output(
 		if (IN6_IS_SCOPE_LINKLOCAL(&ip6->ip6_dst))
 			ip6->ip6_dst.s6_addr16[1] = 0;
 
-		M_PREPEND(m, sizeof(struct ip6_hdr), MB_DONTWAIT);
+		M_PREPEND(m, sizeof(struct ip6_hdr), M_NOWAIT);
 		if (m == NULL) {
 			DPRINTF(("ipip_output: M_PREPEND failed\n"));
 			ipipstat.ipips_hdrops++;
diff --git a/sys/netproto/key/key.c b/sys/netproto/key/key.c
index fc9068d..c273dcc 100644
--- a/sys/netproto/key/key.c
+++ b/sys/netproto/key/key.c
@@ -1647,7 +1647,7 @@ key_gather_mbuf(struct mbuf *m, const struct sadb_msghdr *mhp,
 			if (len > MHLEN)
 				panic("assumption failed");
 #endif
-			MGETHDR(n, MB_DONTWAIT, MT_DATA);
+			MGETHDR(n, M_NOWAIT, MT_DATA);
 			if (!n)
 				goto fail;
 			n->m_len = len;
@@ -1666,7 +1666,7 @@ key_gather_mbuf(struct mbuf *m, const struct sadb_msghdr *mhp,
 			    mtod(n, caddr_t));
 		} else {
 			n = m_copym(m, mhp->extoff[idx], mhp->extlen[idx],
-			    MB_DONTWAIT);
+			    M_NOWAIT);
 		}
 		if (n == NULL)
 			goto fail;
@@ -2095,9 +2095,9 @@ key_spddelete2(struct socket *so, struct mbuf *m,
 
 	if (len > MCLBYTES)
 		return key_senderror(so, m, ENOBUFS);
-	MGETHDR(n, MB_DONTWAIT, MT_DATA);
+	MGETHDR(n, M_NOWAIT, MT_DATA);
 	if (n && len > MHLEN) {
-		MCLGET(n, MB_DONTWAIT);
+		MCLGET(n, M_NOWAIT);
 		if ((n->m_flags & M_EXT) == 0) {
 			m_freem(n);
 			n = NULL;
@@ -2119,7 +2119,7 @@ key_spddelete2(struct socket *so, struct mbuf *m,
 #endif
 
 	n->m_next = m_copym(m, mhp->extoff[SADB_X_EXT_POLICY],
-	    mhp->extlen[SADB_X_EXT_POLICY], MB_DONTWAIT);
+	    mhp->extlen[SADB_X_EXT_POLICY], M_NOWAIT);
 	if (!n->m_next) {
 		m_freem(n);
 		return key_senderror(so, m, ENOBUFS);
@@ -3449,7 +3449,7 @@ key_setdumpsa(struct secasvar *sav, u_int8_t type, u_int8_t satype,
 		if ((!m && !p) || (m && p))
 			goto fail;
 		if (p && tres) {
-			M_PREPEND(tres, l, MB_DONTWAIT);
+			M_PREPEND(tres, l, M_NOWAIT);
 			if (!tres)
 				goto fail;
 			bcopy(p, mtod(tres, caddr_t), l);
@@ -3504,9 +3504,9 @@ key_setsadbmsg(u_int8_t type, u_int16_t tlen, u_int8_t satype,
 	len = PFKEY_ALIGN8(sizeof(struct sadb_msg));
 	if (len > MCLBYTES)
 		return NULL;
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m && len > MHLEN) {
-		MCLGET(m, MB_DONTWAIT);
+		MCLGET(m, M_NOWAIT);
 		if ((m->m_flags & M_EXT) == 0) {
 			m_freem(m);
 			m = NULL;
@@ -4618,9 +4618,9 @@ key_getspi(struct socket *so, struct mbuf *m,
 	if (len > MCLBYTES)
 		return key_senderror(so, m, ENOBUFS);
 
-	MGETHDR(n, MB_DONTWAIT, MT_DATA);
+	MGETHDR(n, M_NOWAIT, MT_DATA);
 	if (len > MHLEN) {
-		MCLGET(n, MB_DONTWAIT);
+		MCLGET(n, M_NOWAIT);
 		if ((n->m_flags & M_EXT) == 0) {
 			m_freem(n);
 			n = NULL;
@@ -5489,7 +5489,7 @@ key_getcomb_esp(void)
 			if (l > MLEN)
 				panic("assumption failed in key_getcomb_esp");
 #endif
-			MGET(m, MB_DONTWAIT, MT_DATA);
+			MGET(m, M_NOWAIT, MT_DATA);
 			if (m) {
 				M_ALIGN(m, l);
 				m->m_len = l;
@@ -5573,14 +5573,14 @@ key_getcomb_ah(void)
 			if (l > MLEN)
 				panic("assumption failed in key_getcomb_ah");
 #endif
-			MGET(m, MB_DONTWAIT, MT_DATA);
+			MGET(m, M_NOWAIT, MT_DATA);
 			if (m) {
 				M_ALIGN(m, l);
 				m->m_len = l;
 				m->m_next = NULL;
 			}
 		} else
-			M_PREPEND(m, l, MB_DONTWAIT);
+			M_PREPEND(m, l, M_NOWAIT);
 		if (!m)
 			return NULL;
 
@@ -5619,14 +5619,14 @@ key_getcomb_ipcomp(void)
 			if (l > MLEN)
 				panic("assumption failed in key_getcomb_ipcomp");
 #endif
-			MGET(m, MB_DONTWAIT, MT_DATA);
+			MGET(m, M_NOWAIT, MT_DATA);
 			if (m) {
 				M_ALIGN(m, l);
 				m->m_len = l;
 				m->m_next = NULL;
 			}
 		} else
-			M_PREPEND(m, l, MB_DONTWAIT);
+			M_PREPEND(m, l, M_NOWAIT);
 		if (!m)
 			return NULL;
 
@@ -5671,7 +5671,7 @@ key_getprop(const struct secasindex *saidx)
 
 	if (!m)
 		return NULL;
-	M_PREPEND(m, l, MB_DONTWAIT);
+	M_PREPEND(m, l, M_NOWAIT);
 	if (!m)
 		return NULL;
 
@@ -6177,9 +6177,9 @@ key_register(struct socket *so, struct mbuf *m,
 	if (len > MCLBYTES)
 		return key_senderror(so, m, ENOBUFS);
 
-	MGETHDR(n, MB_DONTWAIT, MT_DATA);
+	MGETHDR(n, M_NOWAIT, MT_DATA);
 	if (len > MHLEN) {
-		MCLGET(n, MB_DONTWAIT);
+		MCLGET(n, M_NOWAIT);
 		if ((n->m_flags & M_EXT) == 0) {
 			m_freem(n);
 			n = NULL;
@@ -6731,9 +6731,9 @@ key_parse(struct mbuf *m, struct socket *so)
 	if (m->m_next) {
 		struct mbuf *n;
 
-		MGETHDR(n, MB_DONTWAIT, MT_DATA);
+		MGETHDR(n, M_NOWAIT, MT_DATA);
 		if (n && m->m_pkthdr.len > MHLEN) {
-			MCLGET(n, MB_DONTWAIT);
+			MCLGET(n, M_NOWAIT);
 			if ((n->m_flags & M_EXT) == 0) {
 				m_free(n);
 				n = NULL;
@@ -7335,9 +7335,9 @@ key_alloc_mbuf(int l)
 
 	len = l;
 	while (len > 0) {
-		MGET(n, MB_DONTWAIT, MT_DATA);
+		MGET(n, M_NOWAIT, MT_DATA);
 		if (n && len > MLEN)
-			MCLGET(n, MB_DONTWAIT);
+			MCLGET(n, M_NOWAIT);
 		if (!n) {
 			m_freem(m);
 			return NULL;
diff --git a/sys/netproto/key/keysock.c b/sys/netproto/key/keysock.c
index 03065f1..b37fe11 100644
--- a/sys/netproto/key/keysock.c
+++ b/sys/netproto/key/keysock.c
@@ -138,7 +138,7 @@ key_sendup0(struct rawcb *rp, struct mbuf *m, int promisc)
 	if (promisc) {
 		struct sadb_msg *pmsg;
 
-		M_PREPEND(m, sizeof(struct sadb_msg), MB_DONTWAIT);
+		M_PREPEND(m, sizeof(struct sadb_msg), M_NOWAIT);
 		if (m && m->m_len < sizeof(struct sadb_msg))
 			m = m_pullup(m, sizeof(struct sadb_msg));
 		if (!m) {
@@ -213,10 +213,10 @@ key_sendup(struct socket *so, struct sadb_msg *msg, u_int len,
 	m = mprev = NULL;
 	while (tlen > 0) {
 		if (tlen == len) {
-			MGETHDR(n, MB_DONTWAIT, MT_DATA);
+			MGETHDR(n, M_NOWAIT, MT_DATA);
 			n->m_len = MHLEN;
 		} else {
-			MGET(n, MB_DONTWAIT, MT_DATA);
+			MGET(n, M_NOWAIT, MT_DATA);
 			n->m_len = MLEN;
 		}
 		if (!n) {
@@ -224,7 +224,7 @@ key_sendup(struct socket *so, struct sadb_msg *msg, u_int len,
 			return ENOBUFS;
 		}
 		if (tlen >= MCLBYTES) {	/*XXX better threshold? */
-			MCLGET(n, MB_DONTWAIT);
+			MCLGET(n, M_NOWAIT);
 			if ((n->m_flags & M_EXT) == 0) {
 				m_free(n);
 				m_freem(m);
diff --git a/sys/netproto/mpls/mpls_output.c b/sys/netproto/mpls/mpls_output.c
index 06946e3..a1d3785 100644
--- a/sys/netproto/mpls/mpls_output.c
+++ b/sys/netproto/mpls/mpls_output.c
@@ -27,8 +27,6 @@
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
  * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
- *
- * $DragonFly: src/sys/netproto/mpls/mpls_output.c,v 1.2 2008/08/05 15:11:32 nant Exp $
  */
 
 #include <sys/param.h>
@@ -155,7 +153,7 @@ mpls_push(struct mbuf **m, mpls_label_t label, mpls_s_t s, mpls_exp_t exp, mpls_
 	struct mpls *mpls;
 	u_int32_t buf = 0;	/* Silence warning */
 
-	M_PREPEND(*m, sizeof(struct mpls), MB_DONTWAIT);
+	M_PREPEND(*m, sizeof(struct mpls), M_NOWAIT);
 	if (*m == NULL)
 		return (ENOBUFS);
 
diff --git a/sys/netproto/smb/smb_iod.c b/sys/netproto/smb/smb_iod.c
index 6282be4..136048e 100644
--- a/sys/netproto/smb/smb_iod.c
+++ b/sys/netproto/smb/smb_iod.c
@@ -272,7 +272,7 @@ smb_iod_sendrq(struct smbiod *iod, struct smb_rq *rqp)
 	}
 	SMBSDEBUG("M:%04x, P:%04x, U:%04x, T:%04x\n", rqp->sr_mid, 0, 0, 0);
 	m_dumpm(rqp->sr_rq.mb_top);
-	m = m_copym(rqp->sr_rq.mb_top, 0, M_COPYALL, MB_WAIT);
+	m = m_copym(rqp->sr_rq.mb_top, 0, M_COPYALL, M_WAITOK);
 	error = rqp->sr_lerror = m ? SMB_TRAN_SEND(vcp, m, td) : ENOBUFS;
 	if (error == 0) {
 		getnanotime(&rqp->sr_timesent);
diff --git a/sys/netproto/smb/smb_rq.c b/sys/netproto/smb/smb_rq.c
index 2b15329..6dc9ada 100644
--- a/sys/netproto/smb/smb_rq.c
+++ b/sys/netproto/smb/smb_rq.c
@@ -410,7 +410,7 @@ smb_t2_placedata(struct mbuf *mtop, u_int16_t offset, u_int16_t count,
 	struct mbuf *m, *m0;
 	int len;
 
-	m0 = m_split(mtop, offset, MB_WAIT);
+	m0 = m_split(mtop, offset, M_WAITOK);
 	if (m0 == NULL)
 		return EBADRPC;
 	for(len = 0, m = m0; m->m_next; m = m->m_next)
diff --git a/sys/netproto/smb/smb_trantcp.c b/sys/netproto/smb/smb_trantcp.c
index 05b0ca0..27e18d1 100644
--- a/sys/netproto/smb/smb_trantcp.c
+++ b/sys/netproto/smb/smb_trantcp.c
@@ -518,7 +518,7 @@ smb_nbst_send(struct smb_vc *vcp, struct mbuf *m0, struct thread *td)
 		error = ENOTCONN;
 		goto abort;
 	}
-	M_PREPEND(m0, 4, MB_TRYWAIT);
+	M_PREPEND(m0, 4, M_WAITOK);
 	if (m0 == NULL)
 		return ENOBUFS;
 	nb_sethdr(m0, NB_SSN_MESSAGE, m_fixhdr(m0) - 4);
diff --git a/sys/sys/mbuf.h b/sys/sys/mbuf.h
index e8fb839..b6f8c0e 100644
--- a/sys/sys/mbuf.h
+++ b/sys/sys/mbuf.h
@@ -34,7 +34,6 @@
  *
  *	@(#)mbuf.h	8.5 (Berkeley) 2/19/95
  * $FreeBSD: src/sys/sys/mbuf.h,v 1.44.2.17 2003/04/15 06:15:02 silby Exp $
- * $DragonFly: src/sys/sys/mbuf.h,v 1.54 2008/10/19 08:39:55 sephe Exp $
  */
 
 #ifndef _SYS_MBUF_H_
@@ -349,17 +348,9 @@ struct mbstat {
 };
 
 /*
- * Flags specifying how an allocation should be made.
+ * objcache(9) ocflags sanitizing
  */
-
-#define	MB_DONTWAIT	0x4
-#define	MB_TRYWAIT	0x8
-#define	MB_WAIT		MB_TRYWAIT
-
-/*
- * Mbuf to Malloc Flag Conversion.
- */
-#define	MBTOM(how)	((how) & MB_TRYWAIT ? M_WAITOK : M_NOWAIT)
+#define	MB_OCFLAG(how)	((how) & M_WAITOK ? M_WAITOK : M_NOWAIT)
 
 /*
  * These are identifying numbers passed to the m_mballoc_wait function,
@@ -461,7 +452,7 @@ struct mbstat {
 /*
  * Arrange to prepend space of size plen to mbuf m.
  * If a new mbuf must be allocated, how specifies whether to wait.
- * If how is MB_DONTWAIT and allocation fails, the original mbuf chain
+ * If how is M_NOWAIT and allocation fails, the original mbuf chain
  * is freed and m is set to NULL.
  */
 #define	M_PREPEND(m, plen, how) do {					\
@@ -484,7 +475,7 @@ struct mbstat {
 #define	M_COPYALL	1000000000
 
 /* Compatibility with 4.3 */
-#define	m_copy(m, o, l)	m_copym((m), (o), (l), MB_DONTWAIT)
+#define	m_copy(m, o, l)	m_copym((m), (o), (l), M_NOWAIT)
 
 #ifdef _KERNEL
 extern	u_int		 m_clalloc_wid;	/* mbuf cluster wait count */
diff --git a/sys/vfs/nfs/krpc_subr.c b/sys/vfs/nfs/krpc_subr.c
index 9f8bd66..f3b7031 100644
--- a/sys/vfs/nfs/krpc_subr.c
+++ b/sys/vfs/nfs/krpc_subr.c
@@ -149,7 +149,7 @@ krpc_portmap(struct sockaddr_in *sin,	/* server address */
 		return 0;
 	}
 
-	m = m_get(MB_WAIT, MT_DATA);
+	m = m_get(M_WAITOK, MT_DATA);
 	if (m == NULL)
 		return ENOBUFS;
 	sdata = mtod(m, struct sdata *);
@@ -274,7 +274,7 @@ krpc_call(struct sockaddr_in *sa, u_int prog, u_int vers, u_int func,
 	/*
 	 * Prepend RPC message header.
 	 */
-	mhead = m_gethdr(MB_WAIT, MT_DATA);
+	mhead = m_gethdr(M_WAITOK, MT_DATA);
 	mhead->m_next = *data;
 	call = mtod(mhead, struct rpc_call *);
 	mhead->m_len = sizeof(*call);
@@ -316,7 +316,7 @@ krpc_call(struct sockaddr_in *sa, u_int prog, u_int vers, u_int func,
 	timo = 0;
 	for (;;) {
 		/* Send RPC request (or re-send). */
-		m = m_copym(mhead, 0, M_COPYALL, MB_WAIT);
+		m = m_copym(mhead, 0, M_COPYALL, M_WAITOK);
 		if (m == NULL) {
 			error = ENOBUFS;
 			goto out;
@@ -471,7 +471,7 @@ xdr_string_encode(char *str, int len)
 	if (mlen > MCLBYTES)		/* If too big, we just can't do it. */
 		return (NULL);
 
-	m = m_getl(mlen, MB_WAIT, MT_DATA, 0, NULL);
+	m = m_getl(mlen, M_WAITOK, MT_DATA, 0, NULL);
 	xs = mtod(m, struct xdr_string *);
 	m->m_len = mlen;
 	xs->len = txdr_unsigned(len);
diff --git a/sys/vfs/nfs/nfs_mountrpc.c b/sys/vfs/nfs/nfs_mountrpc.c
index 0b5017a..7ab17c4 100644
--- a/sys/vfs/nfs/nfs_mountrpc.c
+++ b/sys/vfs/nfs/nfs_mountrpc.c
@@ -232,7 +232,7 @@ md_lookup_swap(struct sockaddr_in *mdsin,	/* mountd server address */
 		u_int32_t v3[21];
 	} fattribs;
 	
-	m = m_get(MB_WAIT,MT_DATA);
+	m = m_get(M_WAITOK,MT_DATA);
 	if (m == NULL)
 	  	return ENOBUFS;
 	
diff --git a/sys/vfs/nfs/nfs_serv.c b/sys/vfs/nfs/nfs_serv.c
index 25605f4..667ec6d 100644
--- a/sys/vfs/nfs/nfs_serv.c
+++ b/sys/vfs/nfs/nfs_serv.c
@@ -712,7 +712,7 @@ nfsrv_readlink(struct nfsrv_descript *nfsd, struct nfssvc_sock *slp,
 	len = 0;
 	i = 0;
 	while (len < NFS_MAXPATHLEN) {
-		mp1 = m_getcl(MB_WAIT, MT_DATA, 0);
+		mp1 = m_getcl(M_WAITOK, MT_DATA, 0);
 		mp1->m_len = MCLBYTES;
 		if (len == 0)
 			mp3 = mp2 = mp1;
@@ -913,7 +913,7 @@ nfsrv_read(struct nfsrv_descript *nfsd, struct nfssvc_sock *slp,
 				i++;
 			}
 			if (left > 0) {
-				m = m_getcl(MB_WAIT, MT_DATA, 0);
+				m = m_getcl(M_WAITOK, MT_DATA, 0);
 				m->m_len = 0;
 				m2->m_next = m;
 				m2 = m;
diff --git a/sys/vfs/nfs/nfs_socket.c b/sys/vfs/nfs/nfs_socket.c
index 8c81b5d..1883d9d 100644
--- a/sys/vfs/nfs/nfs_socket.c
+++ b/sys/vfs/nfs/nfs_socket.c
@@ -591,7 +591,7 @@ tryagain:
 			goto tryagain;
 		}
 		while (rep && (rep->r_flags & R_NEEDSXMIT)) {
-			m = m_copym(rep->r_mreq, 0, M_COPYALL, MB_WAIT);
+			m = m_copym(rep->r_mreq, 0, M_COPYALL, M_WAITOK);
 			nfsstats.rpcretries++;
 			error = nfs_send(so, rep->r_nmp->nm_nam, m, rep);
 			if (error) {
@@ -1237,7 +1237,7 @@ nfs_request_auth(struct nfsreq *rep)
 	 * For stream protocols, insert a Sun RPC Record Mark.
 	 */
 	if (nmp->nm_sotype == SOCK_STREAM) {
-		M_PREPEND(m, NFSX_UNSIGNED, MB_WAIT);
+		M_PREPEND(m, NFSX_UNSIGNED, M_WAITOK);
 		if (m == NULL) {
 			kfree(rep, M_NFSREQ);
 			return (ENOBUFS);
@@ -1328,7 +1328,7 @@ nfs_request_try(struct nfsreq *rep)
 		if (nmp->nm_soflags & PR_CONNREQUIRED)
 			error = nfs_sndlock(nmp, rep);
 		if (error == 0 && (rep->r_flags & R_NEEDSXMIT)) {
-			m2 = m_copym(rep->r_mreq, 0, M_COPYALL, MB_WAIT);
+			m2 = m_copym(rep->r_mreq, 0, M_COPYALL, M_WAITOK);
 			error = nfs_send(nmp->nm_so, nmp->nm_nam, m2, rep);
 			rep->r_flags &= ~R_NEEDSXMIT;
 			if ((rep->r_flags & R_SENT) == 0) {
@@ -1597,7 +1597,7 @@ nfs_rephead(int siz, struct nfsrv_descript *nd, struct nfssvc_sock *slp,
 	struct nfsm_info info;
 
 	siz += RPC_REPLYSIZ;
-	info.mb = m_getl(max_hdr + siz, MB_WAIT, MT_DATA, M_PKTHDR, NULL);
+	info.mb = m_getl(max_hdr + siz, M_WAITOK, MT_DATA, M_PKTHDR, NULL);
 	info.mreq = info.mb;
 	info.mreq->m_pkthdr.len = 0;
 	/*
@@ -1901,7 +1901,7 @@ nfs_timer_req(struct nfsreq *req)
 	 */
 	if (ssb_space(&so->so_snd) >= req->r_mreq->m_pkthdr.len &&
 	    (req->r_flags & (R_SENT | R_NEEDSXMIT)) &&
-	   (m = m_copym(req->r_mreq, 0, M_COPYALL, MB_DONTWAIT))){
+	   (m = m_copym(req->r_mreq, 0, M_COPYALL, M_NOWAIT))){
 		if ((nmp->nm_flag & NFSMNT_NOCONN) == 0)
 		    error = so_pru_send(so, 0, m, NULL, NULL, td);
 		else
@@ -2238,7 +2238,7 @@ nfs_rcvunlock(struct nfsmount *nmp)
  * not occur with NFS/UDP and is supposed to only occassionally occur
  * with TCP.  Use vfs.nfs.realign_count and realign_test to check this.
  *
- * NOTE!  MB_DONTWAIT cannot be used here.  The mbufs must be acquired
+ * NOTE!  M_NOWAIT cannot be used here.  The mbufs must be acquired
  *	  because the rpc request OR reply cannot be thrown away.  TCP NFS
  *	  mounts do not retry their RPCs unless the TCP connection itself
  *	  is dropped so throwing away a RPC will basically cause the NFS
@@ -2265,7 +2265,7 @@ nfs_realign(struct mbuf **pm, int hsiz)
 	 */
 	if (m) {
 		++nfs_realign_count;
-		n = m_dup_data(m, MB_WAIT);
+		n = m_dup_data(m, M_WAITOK);
 		m_freem(*pm);
 		*pm = n;
 	}
@@ -2531,7 +2531,7 @@ nfs_msg(struct thread *td, char *server, char *msg)
 
 /*
  * Socket upcall routine for nfsd sockets.  This runs in the protocol
- * thread and passes waitflag == MB_DONTWAIT.
+ * thread and passes waitflag == M_NOWAIT.
  */
 void
 nfsrv_rcv_upcall(struct socket *so, void *arg, int waitflag)
@@ -2554,7 +2554,7 @@ nfsrv_rcv_upcall(struct socket *so, void *arg, int waitflag)
 
 /*
  * Process new data on a receive socket.  Essentially do as much as we can
- * non-blocking, else punt and it will be called with MB_WAIT from an nfsd.
+ * non-blocking, else punt and it will be called with M_WAITOK from an nfsd.
  *
  * slp->ns_token is held on call
  */
@@ -2584,7 +2584,7 @@ nfsrv_rcv(struct socket *so, void *arg, int waitflag)
 	 *
 	 * Note that the same service socket can be dispatched to several
 	 * nfs servers simultaniously.  The tcp protocol callback calls us
-	 * with MB_DONTWAIT.  nfsd calls us with MB_WAIT (typically).
+	 * with M_NOWAIT.  nfsd calls us with M_WAITOK (typically).
 	 */
 	if (NFSRV_RECLIMIT(slp))
 		return;
@@ -2651,7 +2651,7 @@ nfsrv_rcv(struct socket *so, void *arg, int waitflag)
 						 NULL, &flags);
 			if (sio.sb_mb) {
 				struct nfsrv_rec *rec;
-				int mf = (waitflag & MB_DONTWAIT) ?
+				int mf = (waitflag & M_NOWAIT) ?
 					    M_NOWAIT : M_WAITOK;
 				rec = kmalloc(sizeof(struct nfsrv_rec),
 					     M_NFSRVDESC, mf);
@@ -2691,7 +2691,7 @@ nfsrv_rcv(struct socket *so, void *arg, int waitflag)
 	 */
 done:
 	/* XXX this code is currently not executed (nfsrv_rcv_upcall) */
-	if (waitflag == MB_DONTWAIT && (slp->ns_flag & SLP_ACTION_MASK)) {
+	if (waitflag == M_NOWAIT && (slp->ns_flag & SLP_ACTION_MASK)) {
 		lwkt_gettoken(&nfs_token);
 		nfsrv_wakenfsd(slp, nparallel_wakeup);
 		lwkt_reltoken(&nfs_token);
@@ -2809,7 +2809,7 @@ nfsrv_getstream(struct nfssvc_sock *slp, int waitflag, int *countp)
 	    *mpp = recm;
 	    if (slp->ns_flag & SLP_LASTFRAG) {
 		struct nfsrv_rec *rec;
-		int mf = (waitflag & MB_DONTWAIT) ? M_NOWAIT : M_WAITOK;
+		int mf = (waitflag & M_NOWAIT) ? M_NOWAIT : M_WAITOK;
 		rec = kmalloc(sizeof(struct nfsrv_rec), M_NFSRVDESC, mf);
 		if (!rec) {
 		    m_freem(slp->ns_frag);
diff --git a/sys/vfs/nfs/nfs_srvcache.c b/sys/vfs/nfs/nfs_srvcache.c
index 7214d52..3cdb711 100644
--- a/sys/vfs/nfs/nfs_srvcache.c
+++ b/sys/vfs/nfs/nfs_srvcache.c
@@ -210,7 +210,7 @@ loop:
 			} else if (rp->rc_flag & RC_REPMBUF) {
 				nfsstats.srvcache_nonidemdonehits++;
 				*repp = m_copym(rp->rc_reply, 0, M_COPYALL,
-						MB_WAIT);
+						M_WAITOK);
 				ret = RC_REPLY;
 			} else {
 				nfsstats.srvcache_idemdonehits++;
@@ -337,7 +337,7 @@ loop:
 						rp->rc_flag &= ~RC_REPMBUF;
 					}
 					rp->rc_reply = m_copym(repmbuf, 0,
-							M_COPYALL, MB_WAIT);
+							M_COPYALL, M_WAITOK);
 					rp->rc_flag |= RC_REPMBUF;
 				}
 			}
diff --git a/sys/vfs/nfs/nfs_syscalls.c b/sys/vfs/nfs/nfs_syscalls.c
index 2864ce6..459b3b9 100644
--- a/sys/vfs/nfs/nfs_syscalls.c
+++ b/sys/vfs/nfs/nfs_syscalls.c
@@ -527,7 +527,7 @@ nfssvc_nfsd(struct nfsd_srvargs *nsd, caddr_t argp, struct thread *td)
 						}
 						nfsrv_rcv(slp->ns_so,
 							  (caddr_t)slp,
-							  MB_WAIT);
+							  M_WAITOK);
 						nfs_slpunlock(slp);
 						break;
 					}
@@ -564,7 +564,7 @@ nfssvc_nfsd(struct nfsd_srvargs *nsd, caddr_t argp, struct thread *td)
 				if (NFSRV_RECLIMIT(slp) == 0 &&
 				    (slp->ns_flag & SLP_NEEDQ)) {
 					nfsrv_rcv(slp->ns_so, (caddr_t)slp,
-						  MB_WAIT);
+						  M_WAITOK);
 				}
 				nfs_slpunlock(slp);
 			}
@@ -712,7 +712,7 @@ nfssvc_nfsd(struct nfsd_srvargs *nsd, caddr_t argp, struct thread *td)
 			 * Record Mark.
 			 */
 			if (sotype == SOCK_STREAM) {
-				M_PREPEND(m, NFSX_UNSIGNED, MB_WAIT);
+				M_PREPEND(m, NFSX_UNSIGNED, M_WAITOK);
 				if (m == NULL) {
 					error = ENOBUFS;
 					slplocked = 0;
